using Godot;
using System.Collections.Generic;


namespace Rokojori
{  
  [Tool][GlobalClass]
  public partial class StartSession:Action
  {
    [Export]
    public NetworkManager networkingManager;
    
    [Export]
    public NetworkSessionRequest sessionRequest;

    protected override void _OnTrigger()
    {
      RJLog.Log( "StartSession:" );

      networkingManager.Initialize();
      networkingManager.sessionManager.StartSession( sessionRequest );
    }
  }
}